From f98e49f1c9cc282161f19ec517dd16edc20170fc Mon Sep 17 00:00:00 2001
From: Igmar Palsenberg <igmar@palsenberg.com>
Date: Mon, 6 Jun 2011 17:02:30 +0200
Subject: [PATCH 6/6] You can't weak alias a static function or variable

---
 src/thread/cancel_dummy.c   |    3 ++-
 src/thread/pthread_create.c |    2 +-
 src/thread/pthread_self.c   |    2 +-
 src/time/timer_create.c     |    2 +-
 4 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/src/thread/cancel_dummy.c b/src/thread/cancel_dummy.c
index a39117e..dac340d 100644
--- a/src/thread/cancel_dummy.c
+++ b/src/thread/cancel_dummy.c
@@ -1,6 +1,7 @@
 #include "pthread_impl.h"
+#include "syscall.h"
 
-static long sccp(long nr, long u, long v, long w, long x, long y, long z)
+long sccp(long nr, long u, long v, long w, long x, long y, long z)
 {
 	return (__syscall)(nr, u, v, w, x, y, z);
 }
diff --git a/src/thread/pthread_create.c b/src/thread/pthread_create.c
index a645f9f..bb13e8f 100644
--- a/src/thread/pthread_create.c
+++ b/src/thread/pthread_create.c
@@ -1,6 +1,6 @@
 #include "pthread_impl.h"
 
-static void dummy_0()
+void dummy_0()
 {
 }
 weak_alias(dummy_0, __rsyscall_lock);
diff --git a/src/thread/pthread_self.c b/src/thread/pthread_self.c
index 55d20c9..4ec5e5c 100644
--- a/src/thread/pthread_self.c
+++ b/src/thread/pthread_self.c
@@ -3,7 +3,7 @@
 static struct pthread main_thread;
 
 /* pthread_key_create.c overrides this */
-static const void *dummy[1] = { 0 };
+const void *dummy[1] = { 0 };
 weak_alias(dummy, __pthread_tsd_main);
 
 static int *errno_location()
diff --git a/src/time/timer_create.c b/src/time/timer_create.c
index 1561d79..795fab8 100644
--- a/src/time/timer_create.c
+++ b/src/time/timer_create.c
@@ -13,7 +13,7 @@ struct start_args {
 	struct sigevent *sev;
 };
 
-static void dummy_1(pthread_t self)
+void dummy_1(pthread_t self)
 {
 }
 weak_alias(dummy_1, __pthread_tsd_run_dtors);
-- 
1.7.5.2

